mchartable(3m17n)

NAME
mchartable - Create a new chartable.

SYNOPSIS
MCharTable* mchartable (MSymbol key, void * default_value)

DESCRIPTION
Create a new chartable.

The mchartable() function creates a new chartable object with symbol key and the default value default_value. If key is a managing key, the elements of the table (including the default value) are managed objects or NULL.

RETURN VALUE

    If the operation was successful, mchartable() returns a pointer to the created chartable. Otherwise it returns NULL and assigns an error code to the external variable merror_code.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.